/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
import {
  TransactionStatsData,
  TransactionStatsDataFromJSON,
  TransactionStatsDataFromJSONTyped,
  TransactionStatsDataToJSON,
} from './TransactionStatsData';

/**
 *
 * @export
 * @interface TransactionStats
 */
export interface TransactionStats {
  /**
   *
   * @type {TransactionStatsData}
   * @memberof TransactionStats
   */
  last24Hours: TransactionStatsData;
  /**
   *
   * @type {TransactionStatsData}
   * @memberof TransactionStats
   */
  mtd: TransactionStatsData;
  /**
   *
   * @type {TransactionStatsData}
   * @memberof TransactionStats
   */
  ytd: TransactionStatsData;
  /**
   *
   * @type {TransactionStatsData}
   * @memberof TransactionStats
   */
  all: TransactionStatsData;
}

export function TransactionStatsFromJSON(json: any): TransactionStats {
  return TransactionStatsFromJSONTyped(json, false);
}

export function TransactionStatsFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionStats {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    last24Hours: TransactionStatsDataFromJSON(json['last24Hours']),
    mtd: TransactionStatsDataFromJSON(json['mtd']),
    ytd: TransactionStatsDataFromJSON(json['ytd']),
    all: TransactionStatsDataFromJSON(json['all']),
  };
}

export function TransactionStatsToJSON(value?: TransactionStats | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    last24Hours: TransactionStatsDataToJSON(value.last24Hours),
    mtd: TransactionStatsDataToJSON(value.mtd),
    ytd: TransactionStatsDataToJSON(value.ytd),
    all: TransactionStatsDataToJSON(value.all),
  };
}
